# Installments

{% hint style="success" %}
Please check-in with your Sales contact for the corresponding configuration and eligibility of this functionality.
{% endhint %}

<details>

<summary>Server2Server</summary>

To create a deposit with installments through our Server2Server solution, the parameter **`installments`** should be sent in the request with a valid amount of installments.

The deposit will be synchronously processed, and charged with installments to the cardholder with the amount detailed in the **`installments`** parameter.

<pre class="language-javascript" data-title="Example request"><code class="lang-javascript">curl -L \
  --request POST \
  --url 'https://cc-api-stg.pandablue.com/v3/deposits' \
  --header 'Content-Type: application/json' \
  --header 'X-Date: 2025-07-15T12:57:14.936Z' \
  --header 'X-Login: text' \
  --header 'Authorization: text' \
  --data '{
    "invoice_id": "800000001",
    "amount": 1000,
    "country": "BR",
    "currency": "BRL",
<strong>    "installments":3,
</strong>    "payer": {
      "id": "11111",
      "document": "84932568207",
      "document_type": "CPF",
      "email": "johnSmith12@hotmail.com",
      "first_name": "John",
      "last_name": "Smith",
    },
    "credit_card": {
      "cvv": "123",
      "card_number": "4111111111111111",
      "expiration_month": "10",
      "expiration_year": "25",
      "holder_name": "JOHN SMITH"
    }

  }'
</code></pre>

</details>

<details>

<summary>Fragments Lite</summary>

Fragments Lite is similar to our Server2Server solution in regards of charging deposits with Installments.\
Remember, that in this solution you should send the **`card_token`** instead of the `credit_card[]` object alongside with **`installments`** parameter.

<pre class="language-json" data-title="Example request"><code class="lang-json">curl -L \
  --request POST \
  --url 'https://cc-api-stg.pandablue.com/v3/deposits' \
  --header 'Content-Type: application/json' \
  --header 'X-Date: 2025-07-15T12:57:14.936Z' \
  --header 'X-Login: text' \
  --header 'Authorization: text' \
  --data '{
    "invoice_id": "800000001",
    "amount": 1000,
    "country": "BR",
    "currency": "BRL",
<strong>    "installments":3,
</strong>    "payer": {
      "id": "11111",
      "document": "84932568207",
      "document_type": "CPF",
      "email": "johnSmith12@hotmail.com",
      "first_name": "John",
      "last_name": "Smith",
    },
<strong>   "card_token": "C4RD_T0K3N_G3N3R4T3D_W1TH_FR4GM3N7S_L1T3"
</strong>
  }'
</code></pre>

</details>

<details>

<summary>Fragments all-in-one</summary>

</details>

<details>

<summary>OneShot</summary>

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/guides/deposits/create-deposits/credit-cards/installments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
